Bug 19038 - It's very common for many application to require access to the number of video frames, as well as to have the ability to seek to a given frame. Think of a video editor. There is no notion of a video frame here. We should add fields, like "currentFrame", a
It's very common for many application to require access to the number of vide...
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:58 UTC by contributor
Modified: 2012-09-25 22:26 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:58:02 UTC
This was was cloned from bug 11930 as part of operation LATER convergence.
Originally filed: 2011-01-31 20:41:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2011-01-31 20:41:57 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/video.html
Section: http://www.whatwg.org/specs/web-apps/current-work/#offsets-into-the-media-resource

Comment:
It's very common for many application to require access to the number of video
frames, as well as to have the ability to seek to a given frame. Think of a
video editor. There is no notion of a video frame here. We should add fields,
like "currentFrame", and "numberOfFrames"

Posted from: 216.239.45.4
================================================================================
 #1   Ian 'Hixie' Hickson                             2011-04-29 22:14:04 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: see diff given below
Rationale: Agreed that we probably want to do this one day. I don't know that today is that day, though. We should wait for browsers to fully implement the many new features like subtitles and multitrack synchronisation before adding more.
================================================================================